import sys

import subprocess

from .base import Base
from .docker_installer import Docker_installer

class Stop_Team(Base):

    def preload(self):
        with Docker_installer() as run:
            pass

    def postload(self):
        print (f'\n\nПроизвожу остановку сервисов.\n\n############\n#### ВНИМАНИЕ: НЕ ОСТАНАВЛИВАЙТЕ ПРОЦЕСС\n############\n\n');

        command = [f'{sys.path[0]}/runtime/docker/docker', 'compose', '--project-name', 'team', '-f', f'{sys.path[0]}/team-compose.yaml', 'down']
        result = subprocess.run(command)
        if result.returncode != 0:
            self.logger.error(f'При попытке запуска команды ({command}) произошли ошибки')
            self.logger.error(result.stderr)
            self.msgbox(f'Остановка сервисов прошла с ошибками. Обратитесь в техподдержку Р7-Офис')
        else:
            self.logger.debug(result.stdout)
            self.logger.info('Docker Compose Plugin завершился без ошибок.')
            self.msgbox(f'Остановка сервисов выполнена');